scala.tools.reflect.FormatInterpolator

# LiteralXn

#### class LiteralXn extends Conversion

Source
  FormatInterpolator.scala

Linear Supertypes
Conversion, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. LiteralXn
2. Conversion
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new LiteralXn(m: Match, pos: nsc.Global.Position, argc: Int)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from LiteralXn to any2stringadd[LiteralXn] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (LiteralXn, B)

   Implicit information
     This member is added by an implicit conversion from LiteralXn to ArrowAssoc[LiteralXn] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def accepts(arg: nsc.Global.Tree): None.type

   Definition Classes
     LiteralXn → Conversion

7. #### val allFlags: String

   Definition Classes
     Conversion

8. #### val argc: Int

   Definition Classes
     LiteralXn → Conversion

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def badFlag(f: Char, msg: String): Unit

    Definition Classes
      Conversion

11. #### def cc: Char

    Definition Classes
      Conversion

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def ensuring(cond: (LiteralXn) ⇒ Boolean, msg: ⇒ Any): LiteralXn

    Implicit information
      This member is added by an implicit conversion from LiteralXn to Ensuring[LiteralXn] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (LiteralXn) ⇒ Boolean): LiteralXn

    Implicit information
      This member is added by an implicit conversion from LiteralXn to Ensuring[LiteralXn] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): LiteralXn

    Implicit information
      This member is added by an implicit conversion from LiteralXn to Ensuring[LiteralXn] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): LiteralXn

    Implicit information
      This member is added by an implicit conversion from LiteralXn to Ensuring[LiteralXn] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def errorAt(g: SpecifierGroups.Value, msg: String): Unit

    Definition Classes
      Conversion

20. #### def errorAtOffset(g: SpecifierGroups.Value, i: Int, msg: String): Unit

    Definition Classes
      Conversion

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### val flags: Option[String]

    Definition Classes
      Conversion

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from LiteralXn to StringFormat[LiteralXn] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def goodFlags: Boolean

    Definition Classes
      Conversion

26. #### def goodIndex: Boolean

    Definition Classes
      Conversion

27. #### def groupPos(g: SpecifierGroups.Value): Position

    Definition Classes
      Conversion

28. #### def groupPosAt(g: SpecifierGroups.Value, i: Int): Position

    Definition Classes
      Conversion

29. #### def hasAnyFlag(fs: String): Boolean

    Definition Classes
      Conversion

30. #### def hasFlag(f: Char): Boolean

    Definition Classes
      Conversion

31. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

32. #### val index: Option[Int]

    Definition Classes
      Conversion

33. #### def indexed: Boolean

    Definition Classes
      Conversion

34. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

35. #### def isLeading: Boolean

    Definition Classes
      Conversion

36. #### val isLiteral: Boolean

    Definition Classes
      LiteralXn → Conversion

37. #### val m: Match

    Definition Classes
      LiteralXn → Conversion

38. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

39. #### def noFlags: Boolean

    Definition Classes
      Conversion

40. #### def noPrecision: Boolean

    Definition Classes
      Conversion

41. #### def noWidth: Boolean

    Definition Classes
      Conversion

42. #### final def notify(): Unit

    Definition Classes
      AnyRef

43. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

44. #### val okFlags: String

    Attributes
      protected
    Definition Classes
      LiteralXn → Conversion

45. #### def only_-(msg: String): Boolean

    Definition Classes
      Conversion

46. #### val op: String

    Definition Classes
      Conversion

47. #### def pickAcceptable(arg: nsc.Global.Tree, variants: nsc.Global.Type*): Option[nsc.Global.Type]

    Pick the type of an arg to format from among the variants supported by a conversion.

    Pick the type of an arg to format from among the variants supported by a conversion. This is the type of the temporary, so failure results in an erroneous assignment to the first variant. A more complete message would be nice.

    Definition Classes
      Conversion

48. #### val pos: nsc.Global.Position

    Definition Classes
      LiteralXn → Conversion

49. #### val precision: Option[Int]

    Definition Classes
      Conversion

50. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

51. #### def toString(): String

    Definition Classes
      AnyRef → Any

52. #### def verify: Boolean

    Definition Classes
      LiteralXn → Conversion

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### val width: Option[Int]

    Definition Classes
      Conversion

57. #### def →[B](y: B): (LiteralXn, B)

    Implicit information
      This member is added by an implicit conversion from LiteralXn to ArrowAssoc[LiteralXn] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Conversion

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from LiteralXn to any2stringadd[LiteralXn]

### Inherited by implicit conversion StringFormat from LiteralXn to StringFormat[LiteralXn]

### Inherited by implicit conversion Ensuring from LiteralXn to Ensuring[LiteralXn]

### Inherited by implicit conversion ArrowAssoc from LiteralXn to ArrowAssoc[LiteralXn]

### Ungrouped